#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		popdata	%{name}-data-0.4.12
#-----------------------------------------------------------------------------
Name		:	poppler
Version		:	23.04.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A PDF rendering library
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://poppler.freedesktop.org

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{popdata}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	at-spi2-core-devel
Buildrequires	:	cairo-devel
Buildrequires	:	cmake
Buildrequires	:	fontconfig-devel
Buildrequires	:	gdk-pixbuf
Buildrequires	:	glib-devel
Buildrequires	:	glu
Buildrequires	:	lcms2
Buildrequires	:	libjpeg-turbo
Buildrequires	:	libpng
Buildrequires	:	nss
Buildrequires	:	openjpeg
Buildrequires	:	qt5-qtbase-devel
Buildrequires	:	qt6-qtbase-devel
Buildrequires	:	qt6-qtbase-gui

#-----------------------------------------------------------------------------
%description
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg
of Glyph and Cog, LLC.  The purpose of forking xpdf is twofold.

First, we want to provide PDF rendering functionality as a shared
library, to centralize the maintenance effort.  Today a number of
applications incorporate the xpdf code base, and whenever a security
issue is discovered, all these applications exchange patches and put
out new releases.  In turn, all distributions must package and release
new version of these xpdf based viewers.  It's safe to say that
there's a lot of duplicated effort with the current situation.  Even if
poppler in the short term introduces yet another xpdf derived code
base to the world, we hope that over time these applications will
adopt poppler.  After all, we only need one application to use poppler
to break even.

Second, we would like to move libpoppler forward in a number of areas
that don't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.  This
is a strong feature and reasonable design goal.  However, with poppler
we would like to replace parts of xpdf that are now available as
standard components of modern Unix desktop environments.  One such
example is fontconfig, which solves the problem of matching and
locating fonts on the system, in a standardized and well understood
way.  Another example is cairo, which provides high quality 2D
rendering.  See the file TODO for a list of planned changes.

Please note that xpdf, and thus poppler, is licensed under the GPL,
not the LGPL.  Consequently, any application using poppler must also
be licensed under the GPL.  If you want to incorporate Xpdf based PDF
rendering in a closed source product, please contact Glyph & Cog
(www.glyphandcog.com) for commercial licensing options. Note that
this only allows you to use xpdf in a closed source product,
not poppler itself.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING README.md
%{_bindir}/pdf*
%{_includedir}/%{name}/*/*.h
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/pkgconfig/%{name}-data.pc
%{_datadir}/%{name}/cidToUnicode/*
%{_datadir}/%{name}/nameToUnicode/*
%{_datadir}/%{name}/unicodeMap/*
%{_datadir}/%{name}/cMap/*
%{_defaultdocdir}/%{name}-%{version}/html/*
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D ENABLE_CMS=lcms2					\
	-D ENABLE_DCTDECODER=libjpeg				\
	-D ENABLE_LIBOPENJPEG=openjpeg2				\
	-D ENABLE_GTK_DOC=OFF					\
	-D ENABLE_GLIB=ON					\
	-D ENABLE_GOBJECT_INTROSPECTION=OFF			\
	-D ENABLE_UNSTABLE_API_ABI_HEADERS=ON			\
	-D ENABLE_ZLIB=OFF					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

tar -xf %{SOURCE1}

popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

%{__mkdir_p} %{buildroot}%{_defaultdocdir}/%{name}-%{version}
cp -a								\
	glib/reference/html					\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

%{__make}							\
	-C build/%{popdata}					\
	DESTDIR=%{buildroot}					\
	prefix=%{_prefix}					\
	install
	
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%changelog
